<?php
namespace Bushelpowered\Api\Quoting\V1\Request;
        
class CreateServiceRequestRequest 
{
    /** @var string $serviceType */
    public string $serviceType;
    /** @var string $description */
    public string $description;
    /** @var null|string $serviceDate  of yyyy-MM-dd format, IE: 2023-10-04*/
    public ?string $serviceDate = null;

    /**
     * @param  string  $serviceType 
     * @param  string  $description 
     * @param  null|string  $serviceDate  of yyyy-MM-dd format, IE: 2023-10-04
     */
    public function __construct(string $serviceType, string $description, ?string $serviceDate)
    {
        $this->serviceType = $serviceType;
        $this->description = $description;
        $this->serviceDate = $serviceDate;
    }
    

}